function F = convectionDivergenceTerm(X,T,u,M,C,F,problemParams)

nOfElements = size(T,1);

for iElem = 1:nOfElements
    % Jacobian
    Te = T(iElem,:);
    Xe = X(Te,:);       
    J = [(Xe(2,:)-Xe(1,:))/2 ; (Xe(3,:)-Xe(1,:))/2];
    invJ = inv(J);
    
    % Hyperbolic fluxes
    Fx = problemParams.a(1)*u(:,:,iElem);
    Fy = problemParams.a(2)*u(:,:,iElem);
    
    % Convection matrices
    Cx = invJ(1,1)*C(:,:,1) + invJ(1,2)*C(:,:,2);
    Cy = invJ(2,1)*C(:,:,1) + invJ(2,2)*C(:,:,2);    
    
    % ODE residual
    F(:,:,iElem) = M\( F(:,:,iElem)/det(J) + Cx*Fx + Cy*Fy ); 
end
