function s = sourceTermOseen(X)

x = X(:,1); 
y = X(:,2);

s = zeros(length(x),2);

K = viscosityOseen(X);
nu = K(1,1); % The viscosity matrix is assumed of the form $K=nu*Id$
adv = advectionOseen(X);

% Gradient of p
px = 1/2-1/2*(x+1);
py = 0;

% Gradient of u
u1x = 1/16*y.*(y+1).*(y-1).*((x+1).*(1-x).^2-(x+1).^2.*(1-x));
u1y = 1/32*(x+1).^2.*(1-x).^2.*((y+1).*(y-1)+y.*(y-1)+y.*(y+1));
u2x = -1/32*(y+1).^2.*(1-y).^2.*((x+1).*(x-1)+x.*(x-1)+x.*(x+1));
u2y = -1/16*x.*(x+1).*(x-1).*((y+1).*(1-y).^2-(y+1).^2.*(1-y));

% Components of laplacian of u
u1xx = 1/16*y.*(y+1).*(y-1).*((1-x).^2-4*(x+1).*(1-x)+(x+1).^2);
u1yy = 3/16*(x+1).^2.*(1-x).^2.*y;
u2xx = -3/16*(y+1).^2.*(1-y).^2.*x;
u2yy = -1/16*x.*(x+1).*(x-1).*((1-y).^2-4*(y+1).*(1-y)+(y+1).^2);


s(:,1) = - nu.*(u1xx + u1yy) + px + adv(:,1).*u1x + adv(:,2).*u1y;
s(:,2) = - nu.*(u2xx + u2yy) + py + adv(:,1).*u2x + adv(:,2).*u2y;


% %stokes example
% mu=1;
% s=[1-mu*6*x , 1+6*mu*y]; %cubic solution with p=x+y+C