function p = analyticalPressureOseen(X) 

x = X(:,1);
y = X(:,2);

K = viscosityOseen(X);
nu = K(1,1); % The viscosity matrix is assumed of the form $K=nu*Id$
lambda = 1/(2*nu) - sqrt(1/(4*nu^2)+4*pi^2);

% Mean value of the pressure on the boundary
p0 = (1.+exp(4*lambda)-1/(2*lambda)*(1-exp(4*lambda)))/4;

p = -0.5*exp(2*lambda*(x+1))+p0;