function vel=analyticalVelocityOseen(X) 

x = X(:,1);
y = X(:,2);

K = viscosityOseen(X);
nu = K(1,1); % The viscosity matrix is assumed of the form $K=nu*Id$
lambda = 1/(2*nu) - sqrt(1/(4*nu^2)+4*pi^2);

ux = 1.-exp(lambda*(x+1)).*cos(2*pi*(y+0.5));
uy = lambda/(2*pi)*exp(lambda*(x+1)).*sin(2*pi*(y+0.5));

vel = [ux; uy];