function s = sourceTermOseen(X)

x = X(:,1); 
y = X(:,2);

s = zeros(length(x),2);

K = viscosityOseen(X);
nu = K(1,1); % The viscosity matrix is assumed of the form $K=nu*Id$
adv = advectionOseen(X);
lambda = 1/(2*nu) - sqrt(1/(4*nu^2)+4*pi^2);

% Gradient of p
px = -lambda.*exp(2*lambda*(x+1));
py = 0;

% Gradient of u
u1x = -lambda*exp(lambda*(x+1)).*cos(2*pi*(y+0.5));
u1y = 2*pi*exp(lambda*(x+1)).*sin(2*pi*(y+0.5));
u2x = lambda^2/(2*pi)*exp(lambda*(x+1)).*sin(2*pi*(y+0.5));
u2y = lambda*exp(lambda*(x+1)).*cos(2*pi*(y+0.5));

% Components of laplacian of u
u1xx = -lambda^2*exp(lambda*(x+1)).*cos(2*pi*(y+0.5));
u1yy = (2*pi)^2*exp(lambda*(x+1)).*cos(2*pi*(y+0.5));
u2xx = lambda^3/(2*pi)*exp(lambda*(x+1)).*sin(2*pi*(y+0.5));
u2yy = -2*pi*lambda*exp(lambda*(x+1)).*sin(2*pi*(y+0.5));

s(:,1) = - nu.*(u1xx + u1yy) + px + adv(:,1).*u1x + adv(:,2).*u1y;
s(:,2) = - nu.*(u2xx + u2yy) + py + adv(:,1).*u2x + adv(:,2).*u2y;